package com.chenyang.druid.sql.dialect.blink.ast;

import com.chenyang.druid.DbType;
import com.chenyang.druid.sql.ast.SQLExpr;
import com.chenyang.druid.sql.ast.statement.SQLCreateTableStatement;

public class BlinkCreateTableStatement extends SQLCreateTableStatement {
   private SQLExpr periodFor;

   public BlinkCreateTableStatement() {
      this.dbType = DbType.blink;
   }

   public SQLExpr getPeriodFor() {
      return this.periodFor;
   }

   public void setPeriodFor(SQLExpr x) {
      if (x != null) {
         x.setParent(this);
      }

      this.periodFor = x;
   }
}
